> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beaconcha.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete validators from groups

> Delete all validators from a specified group in a specified validator dashboard.



## OpenAPI

````yaml .gitbook/assets/API_spec.json DELETE /api/v2/validator-dashboards/{dashboard_id}/groups/{group_id}/validators
openapi: 3.0.1
info:
  title: beaconcha.in API
  description: >-
    To authenticate your API request beaconcha.in uses API Keys. Set your API
    Key either by:

    - Setting the `Authorization` header in the following format:
    `Authorization: Bearer <your-api-key>`. (recommended)

    - Setting the URL query parameter in the following format:
    `api_key={your_api_key}`.\

    Example:
    `https://beaconcha.in/api/v2/example?field=value&api_key={your_api_key}`
  contact: {}
  version: '2.0'
servers:
  - description: Mainnet
    url: https://beaconcha.in
  - description: Hoodi
    url: https://hoodi.beaconcha.in
security: []
paths:
  /api/v2/validator-dashboards/{dashboard_id}/groups/{group_id}/validators:
    delete:
      tags:
        - Validator Dashboard Management
      summary: Delete validators from a group
      description: >-
        Delete all validators from a specified group in a specified validator
        dashboard.
      parameters:
        - name: dashboard_id
          in: path
          description: The ID of the dashboard.
          required: true
          schema:
            type: integer
        - name: group_id
          in: path
          description: The ID of the group.
          required: true
          schema:
            type: integer
      responses:
        '204':
          description: Validators removed successfully.
          content: {}
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ApiErrorResponse'
      security:
        - ApiKeyInHeader: []
components:
  schemas:
    types.ApiErrorResponse:
      type: object
      properties:
        error:
          type: string
  securitySchemes:
    ApiKeyInHeader:
      type: apiKey
      description: Use your API key as a Bearer token, e.g. `Bearer <your-api-key>`
      name: Authorization
      in: header

````